JobControllerGetJobRunEvents Method |
POST /Job/GetJobRunEvents/
Get a list of
JobRunEvent objects associated with the
JobRun ID.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("GetJobRunEvents")]
public IActionResult GetJobRunEvents(
[FromBodyAttribute] long id,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("GetJobRunEvents")>
Public Function GetJobRunEvents (
<FromBodyAttribute> id As Long,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"GetJobRunEvents")]
IActionResult^ GetJobRunEvents(
[FromBodyAttribute] long long id,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("GetJobRunEvents")>]
member GetJobRunEvents :
[<FromBodyAttribute>] id : int64 *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemInt64
The ID associated with the JobRun. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
An array of
JobRunEventData objects, or a status code indicating the problem.
See Also